epi.shell.MetaDataManager Error

Corbin Camp
Member since: 2012
 

Has anyone run across a JavaScript error stating "Could no resolve dependency epi.shell.MetaDataManager" (edi.dependency) epi.js

So far, this only happens in IE8 (browser upgrade is not an option, despite my suggestion). It usually happens when editing a page. The edit is committed but the page won't refresh. Just goes blank.

#64501 Dec 21, 2012 23:29
  • Marija Jemuovic
    Member since: 2010
     

    I am not sure if there is a workaround for this issue, but according to System requirements, EPiServer 7 doesn't support editing in IE other than IE9:

    http://world.episerver.com/Documentation/Items/System-Requirements/EPiServer-CMS/Version-7/System-Requirements---EPiServer-7-CMS/

    I assume this does not help you much, but perhaps it helps you in convincing the customer to upgrade/move to a different browser.

    #64511 Edited, Dec 24, 2012 14:32
  • Corbin Camp
    Member since: 2012
     

    I was afraid of that. Short term this will be an issue but I think the company is going to IE9 soon. Thanks for the info.

    #64522 Dec 26, 2012 18:20
  • Marija Jemuovic
    Member since: 2010
     

    Does it help if you add edit in the end of the URL for edit mode, for example, instead of http://localhost:xxx/dev/cms/#context=epi.cms.contentdata:///4 

    you type in
    http://localhost:xxx/dev/cms/edit

     

    For me, it loads the old edit mode.

    #64524 Dec 27, 2012 11:24
  • Corbin Camp
    Member since: 2012
     

    Nope. Just says "error on page" in the status bar.

    #64530 Dec 27, 2012 17:42
  • Andreas Nicolaisen
    Member since: 2006
     

    Thanks Marija, that worked for me :)

    #70666 Apr 25, 2013 9:38